Name:              profile-sync-daemon 
Version:           5.51
Release:           1%{?dist}
Summary:           Offload browser profiles to RAM for speed a wear reduction
License:           MIT
URL:               https://github.com/graysky2/profile-sync-daemon 
Source0:           https://github.com/graysky2/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch:         noarch
BuildRequires:     systemd
Requires:          rsync
Requires(post):    systemd
Requires(preun):   systemd
Requires(postun):  systemd

%description
Symlinks and syncs browser profiles to RAM via tmpfs which will reduce HDD/SDD
calls and speed-up browsers.

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
make install-systemd-all DESTDIR=%{buildroot}

%post
if [ $1 -eq 1 ]; then 
 setsebool -P rsync_full_access 1 >/dev/null 2>&1 || :
fi
%systemd_post psd.service

%preun
if [ $1 -eq 0 ]; then
 setsebool -P rsync_full_access 0 >/dev/null 2>&1 || :
fi
%systemd_preun psd.service

%postun
%systemd_postun_with_restart psd.service

%files
%doc README* MIT
%config(noreplace) %{_sysconfdir}/psd.conf
%{_bindir}/*
%{_mandir}/man1/*.1*
%{_unitdir}/psd*.*

%changelog
* Wed Sep 17 2014 Christopher Meng <rpm@cicku.me> - 5.51-1
- Update to 5.51

* Wed Sep 10 2014 Christopher Meng <rpm@cicku.me> - 5.50-1
- Update to 5.50

* Mon Jan 20 2014 Christopher Meng <rpm@cicku.me> - 5.45.1-1
- Update to 5.45.1

* Sat Nov 09 2013 Christopher Meng <rpm@cicku.me> - 5.44-1
- Update to 5.44

* Sun Nov 03 2013 Christopher Meng <rpm@cicku.me> - 5.43-1
- Update to 5.43

* Mon Sep 16 2013 Christopher Meng <rpm@cicku.me> - 5.40.1-1
- Update to 5.40.1

* Mon Sep 02 2013 Christopher Meng <rpm@cicku.me> - 5.39-1
- Update to 5.39

* Thu Jul 25 2013 Christopher Meng <rpm@cicku.me> - 5.38.2-1
- Update to 5.38.2

* Sun Jun 16 2013 Christopher Meng <rpm@cicku.me> - 5.36.2-1
- Update to 5.36.2

* Wed May 29 2013 Christopher Meng <rpm@cicku.me> - 5.35-1
- Initial Package.
